# $Revision: 1.32 $, $Date: 2011/09/18 15:37:05 $
Summary:	Tools for using the Network Block Device
Summary(pl.UTF-8):	Narzędzia do używania Network Block Device
Name:		nbd
Version:	2.9.24
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/nbd/%{name}-%{version}.tar.bz2
# Source0-md5:	39fa29a1b7c1da9d36c53bbb0a25e6cf
Patch0:		%{name}-types.patch
Patch1:		%{name}-gznbd.patch
URL:		http://nbd.sourceforge.net/
BuildRequires:	docbook-dtd45-sgml
BuildRequires:	docbook-utils
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.6.0
Obsoletes:	nbd-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
nbd contains the tools needed to export a network block device and to
use a network block device. The nbd module is part of the 2.2 kernels
and higher.

If you have a kernel patched for it, you can use the network block
device to swap over the net, which is particularly useful for diskless
workstations.

%description -l pl.UTF-8
nbd zawiera narzędzia potrzebne do wyeksportowania i używania
sieciowego urządzenia blokowego (Network Block Device). Moduł do nbd
jest w jądrze 2.2 i późniejszych.

Jeżeli masz kernel z odpowiednią łatą, możesz używać sieciowego
urządzenia blokowego do swapowania przez sieć - jest to przydatne w
przypadku stacji bezdyskowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--enable-lfs

# omit knbd-client (broken)
%{__make} \
	sbin_PROGRAMS=nbd-client

cd gznbd

%{__cc} %{rpmldflags} %{rpmcflags} -DMY_NAME='"gznbd"' -Wall -o gznbd gznbd.c -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/nbd-server

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sbin_PROGRAMS=nbd-client

install gznbd/gznbd $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/nbd-server
%attr(755,root,root) %{_bindir}/nbd-trdump
%attr(755,root,root) %{_sbindir}/nbd-client
%attr(755,root,root) %{_sbindir}/gznbd
%dir %{_sysconfdir}/nbd-server
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nbd-server/config
%{_mandir}/man1/nbd-server.1*
%{_mandir}/man1/nbd-trdump.1*
%{_mandir}/man5/nbd-server.5*
%{_mandir}/man8/nbd-client.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nbd.spec,v $
Revision 1.32  2011/09/18 15:37:05  qboosh
- updated to 2.9.24

Revision 1.31  2011/05/31 18:51:42  qboosh
- updated to 2.9.22
- removed obsolete missing-file patch

Revision 1.30  2011/05/10 18:12:45  qboosh
- updated to 2.9.21
- added missing-file patch (sh.tmpl taken from nbd git)

Revision 1.29  2010/11/13 14:22:11  qboosh
- updated to 2.9.18

Revision 1.28  2008/07/20 07:27:59  qboosh
- updated to 2.9.11

Revision 1.27  2007/12/16 17:03:55  qboosh
- updated to 2.9.9

Revision 1.26  2007-11-04 16:45:07  qboosh
- updated to 2.9.8

Revision 1.25  2007/08/12 11:15:17  qboosh
- updated to 2.9.6

Revision 1.24  2007/07/11 19:35:21  qboosh
- updated to 2.9.4

Revision 1.23  2007/06/14 22:25:39  qboosh
- updated to 2.9.3

Revision 1.22  2007/02/18 20:10:30  qboosh
- updated to 2.9.2

Revision 1.21  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.19  2006/11/15 20:17:37  qboosh
- updated to 2.9.0

Revision 1.18  2006/10/27 21:46:00  qboosh
- updated to 2.8.7

Revision 1.17  2006/08/24 19:33:26  darekr
- added %doc

Revision 1.16  2006/08/24 19:20:38  qboosh
- updated to 2.8.6

Revision 1.15  2006/06/24 13:56:43  adamg
- updated to 2.8.5

Revision 1.14  2006/05/03 21:31:27  areq
- 2.8.4

Revision 1.13  2005/11/19 16:30:33  qboosh
- updated to 2.8.2, added gznbd patch

Revision 1.12  2005/10/29 13:54:21  qboosh
- added types patch (fixes build on x86_64)
- release 2

Revision 1.11  2005/10/28 18:09:27  qboosh
- updated to 2.8.1

Revision 1.10  2005/09/26 02:23:08  zbyniu
- up to 2.7.5

Revision 1.9  2005/05/16 17:50:12  zbyniu
- up to 2.7.4

Revision 1.8  2005/01/07 08:13:45  adamg
- updated to 2.7.3 (by Pawel Cyranek, czucz (at) mag-net.one.pl)

Revision 1.7  2004/08/07 19:33:29  qboosh
- updated to 2.7.2, enable LFS

Revision 1.6  2004/07/04 10:19:11  qboosh
- updated to 2.7.1

Revision 1.5  2004/05/18 22:54:30  qboosh
- updated to 2.7

Revision 1.4  2003/12/14 22:14:49  qboosh
- updated to 2.6.0 (2.6.1 is broken)

Revision 1.3  2003/10/14 22:53:21  qboosh
- updated to 2.5

Revision 1.2  2003/06/18 07:36:01  qboosh
- Obsoletes: nbd-tools

Revision 1.1  2003/06/17 22:19:48  qboosh
- new, based on nbd-tools.spec
